<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Databáze publikací - administrace</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
	{literal}
	<script type="text/javascript">
	//<![CDATA[
				function refresh_pub_type() {
					with (document.formular) {
						type = pub_type.options[pub_type.selectedIndex].value;
						switch(type) {
							case("1"):
								document.getElementById("vol").readOnly=true;
								document.getElementById("no").readOnly=true;
								document.getElementById("workshop_name").readOnly=true;
								document.getElementById("w_from").readOnly=true;
								document.getElementById("w_to").readOnly=true;
								break;
							case("2"):
								document.getElementById("vol").readOnly=false;
								document.getElementById("no").readOnly=false;
								document.getElementById("workshop_name").readOnly=true;
								document.getElementById("w_from").readOnly=true;
								document.getElementById("w_to").readOnly=true;
								break;
							case("3"):
								document.getElementById("vol").readOnly=true;
								document.getElementById("no").readOnly=true;
								document.getElementById("workshop_name").readOnly=false;
								document.getElementById("w_from").readOnly=false;
								document.getElementById("w_to").readOnly=false;
								break;
						}
					}
				}
	//]]>
	</script>
	{/literal}
</head>
<body {if $modify}onload="refresh_pub_type();"{/if}>

	{include file="admin_header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a {if $tab eq "1"}class="active"{/if} href="index.php">Čekající na schválení</a></li>
			<li><a {if $tab eq "2"}class="active"{/if} href="index.php?tab=2">Schválené</a></li>
			<li><a href="index.php?tab=3">Atributy</a></li>
			<li><a href="index.php?tab=4">Kategorie</a></li>
			<li><a href="index.php?tab=5">Autoři</a></li>
			<li><a href="index.php?tab=6">Vydavatelé</a></li>
			<li><a href="index.php?tab=7">Šablony</a></li>
		</ul>

		<div id="content">

		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $publications}
					{$publications}
		{elseif $short_look}
					<a href="index.php?tab={$tab}">&lt;&lt;</a><br /><br />
					<strong>Typ publikace:</strong>
									{if $pub_type eq "1"}Kniha
									{elseif $pub_type eq "2"}Časpis
									{elseif $pub_type eq "3"}Konference
									{/if}
					<br />
					<strong>Jazyk:</strong>
							{if $pub_lang eq "1"}Czech
							{elseif $pub_lang eq "2"}English
							{elseif $pub_lang eq "3"}German
							{/if}
					<br />
					<strong>Titulek publikace:</strong> {$pub_title}
					<br />
					<strong>Město:</strong> {$city}
					<br />
					<strong>Země:</strong>  {$country}{if $state}, {$state}{/if}
					<br />
					<strong>Autoři:</strong> {$authors}
					<br />
					<strong>Vydavatel:</strong> {$publisher}
					<br />
					<strong>Kategorie:</strong>
					{if $categories}
						<ul>
						{foreach from=$categories item=current}
						<li>{$current.name}</li>
						{/foreach}
						</ul>
					{/if}
					<br />
					{if $pub_type eq "1"} <!-- book -->
						<strong>ISBN:</strong>{if $isbn} {$isbn}{/if}<br />
						<strong>Rok vydání:</strong>{if $issue_date neq "0000"} {$issue_date}{/if}<br />
						<strong>Počet stran:</strong>{if $pp} {$pp}{/if}<br />
					{elseif $pub_type eq "2"} <!-- magazine -->
						<strong>ISSN:</strong>{if $issn} {$issn}{/if}<br />
						<strong>Datum vydání:</strong>{if $issue_date neq "0000"} {$issue_date}{/if}<br />
						<strong>vol.:</strong>{if $vol} {$vol}{/if}<br />
						<strong>no.:</strong>{if $no} {$no}{/if}<br />
						<strong>Stránky od - do:</strong> {$pp}<br />
					{elseif $pub_type eq "3"} <!-- workshop -->
						<strong>ISBN/ISSN:</strong>{if $isbn} {$isbn}{/if}<br />
						<strong>Rok vydání:</strong>{if $issue_date neq "0000"} {$issue_date}{/if}<br />
						<strong>Jméno konference:</strong> {$workshop_name}<br />
						<strong>Datum konání:</strong> {$execution_date}<br />
						<strong>Stránky od - do:</strong> {$pp}<br />
					{/if}
					<strong>Soubory:</strong><br />
					<form method="post" action="index.php?tab={$tab}&amp;_publication_id={$_publication_id}" enctype="multipart/form-data">
					{foreach from=$attached_files item=filename}
						<ul>
						<li><a href="../storage/{$_publication_id}/{$filename}">{$filename}</a></li>
						</ul>
					{/foreach}

					{if $attached_files}
						<input type="submit" name="delete_files" value="smazat soubory" />
					{/if}
					<br />
					<br />
					<br />
					<input type="file" name="file" /><input type="submit" name="add_file" value="přidat soubor" />
					<br />
					</form>
					<hr class="cleaner" />
					<form method="post" action="index.php?tab={$tab}&amp;_publication_id={$_publication_id}">
					{if $attributes}
						<br />
						<strong>Rozšířené atributy:</strong>

						<table cellspacing="0" cellpadding="5" border="1" summary="rozšířené atributy">
						<thead>
							<tr>
								<th scope="col" abbr="viditelnost">public</th>
								<th scope="col" abbr="jméno">jméno</th>
								<th scope="col" abbr="poznámka">poznámka</th>
								<th scope="col" abbr="hodnota">hodnota atributu</th>
							</tr>
						</thead>
						<tbody>
						{$attributes}
						</tbody>
						</table>
					{else}
						<br />
						žádné rozšířené atributy
					{/if}
					<br />
					<hr />
					<br />
					<div class="confirm_buttons">
						<input type="submit" name="modify" value="upravit" />
						{if $tab==1} <input type="submit" name="confirm" value="schválit" />
						{elseif $tab==2} <input type="submit" name="unconfirm" value="označit jako neschválený" />
						{/if}
						<input type="submit" name="deny" value="smazat" />
					</div>
					</form>
		{elseif $modify}
					<a href="index.php?tab={$tab}&amp;_publication_id={$_publication_id}">&lt;&lt;</a><br /><br />
					<form action="index.php?tab={$tab}&amp;_publication_id={$_publication_id}" name="formular" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
					<table id="modify" border="0" cellspacing="20" cellpadding="0" summary="Editace publikace">
					<tr>
						<td>
								Typ publikace*:
						</td>
						<td>
								<select name="pub_type" onchange="refresh_pub_type();">
								{html_options values=$type_no output=$type_names selected=$selected_pub_type}
								</select>
						</td>
					</tr>
					<tr>
						<td>
								Jazyk*:
						</td>
						<td>
								<select name="pub_lang">
								<option value="">-- Vyberte ze seznamu --</option>
								{html_options values=$lang_no output=$langs selected=$selected_pub_lang}
								</select>
						</td>
					</tr>
					<tr>
						<td>
								Název publikace*:
						</td>
						<td>
								<input type="text" name="pub_title" size="35" value="{$pub_title}" />
						</td>
					</tr>
					<tr>
						<td>
								Město{if $strict_mode}*{/if}:
						</td>
						<td>

								<input type="text" name="city" size="35" value="{$city}" />
						</td>
					</tr>
					<tr>
						<td>
								Země{if $strict_mode}*{/if}:
						</td>
						<td>
								<select name="country" id="country">
								<option value="">-- Vyberte ze seznamu --</option>
								<option value="CZ">Czech Republic</option>
								<option value="US">United States</option>
								<option value="DE">Germany</option>
								<option value="FR">France</option>
								<option value="GB">United Kingdom</option>
								<option value="">--------------</option>
								{html_options options=$country selected=$selected_country}
								</select>
						</td>
					</tr>
					<tr>
						<td>
								Stát (USA a Kanada):
						</td>
						<td>
								<select name="state" id="state">
								<option value="">N/A</option>
								{html_options options=$state selected=$selected_state}
								</select>
						</td>
					</tr>
					<tr>
						<td>
								Autoři*:
						</td>
						<td>
								<select name="authors[]" size="10" multiple="multiple" title="lze vybrat více kandidátů">
								{html_options options=$authors selected=$selected_authors}
								</select><br />
						</td>
					</tr>
					<tr>
						<td>
								Vydavatel{if $strict_mode}*{/if}:
						</td>
						<td>
								<select name="publisher" size="10">
								{html_options options=$publisher selected=$selected_publisher}
								</select>
								<br />
						</td>
					</tr>
					<tr>
						<td>
								Kategorie:
						</td>
						<td>
								<fieldset>
								<legend>kategorie</legend>
								{html_checkboxes name="propagated_categories" options=$categories selected=$selected_categories separator="<br />"}
								<br />
								</fieldset>
						</td>
					</tr>
					<tr>
						<td>ISBN/ISSN{if $strict_mode}*{/if}:</td><td><input type="text" name="isbn" size="20" value="{$isbn}" /></td>
					</tr>
					<tr>
						<td>Datum vydání (YYYY-MM){if $strict_mode}*{/if}:</td><td><input type="text" name="issue_date" id="issue_date" maxlength="7" size="20" value="{$issue_date}" /></td>
					</tr>
					<tr>
						<td>vol.{if $strict_mode}*{/if}:</td><td><input type="text" name="vol" id="vol" size="20" value="{$vol}" /></td>
					</tr>
					<tr>
						<td>no.{if $strict_mode}*{/if}:</td><td><input type="text" name="no" id="no" size="20" value="{$no}" /></td>
					</tr>
					<tr>
						<td>pp{if $strict_mode}*{/if}:</td><td><input type="text" name="pp" size="20" value="{$pp}" /></td>
					</tr>
					<tr>
						<td>Jméno konference{if $strict_mode}*{/if}:</td><td><input type="text" name="workshop_name" id="workshop_name" size="20" value="{$workshop_name}" /></td>
					</tr>
					<tr>
						<td>Datum konání konference (YYYY-MM-DD){if $strict_mode}*{/if}:</td><td>od <input type="text" name="w_from" id="w_from" size="10" value="{$w_from}" maxlength="10" /> do <input type="text" name="w_to" id="w_to" size="10" value="{$w_to}" maxlength="10" /></td>
					</tr>
					<tr>
						<td class="sub_heading" colspan="3">
							Veřejné atributy:
						</td>
					</tr>
					{if $attributes}
					{$attributes}<!-- public attributes -->
					{else}
					<tr><td>-</td></tr>
					{/if}
					<tr>
						<td class="sub_heading" colspan="3">
							Přidané neveřejné atributy:
						</td>
					</tr>
					{if $tmp_attr}
					{$tmp_attr}<!-- private attributes -->
					<tr><td><input type="submit" name="mark_attributes_deleted" value="smazat neveřejné atributy" /></td></tr>
					{else}
					<tr><td>-</td></tr>
					{/if}
					<tr>
						<td class="attribut_add" colspan="3">
							<fieldset>
							<legend>Přidání nového atributu</legend>
							<dl class="liketable">
								<dt><label for="new_attribute_name">jméno&nbsp;atributu: </label></dt>
								<dd><input type="text" id="new_attribute_name" name="new_attribute_name" maxlength="32" value="{$new_attribute_name}" /><span> *první znak podtržítko, ostatní znaky písmena a číslice.</span></dd>

								<dt><label for="new_attribute_value">hodnota&nbsp;atributu: </label></dt>
								<dd><input type="text" id="new_attribute_value" name="new_attribute_value" value="{$new_attribute_value}" /></dd>

								<dt><label for="new_attribute_description">popisek&nbsp;atributu: </label></dt>
								<dd><input type="text" id="new_attribute_description" name="new_attribute_description" maxlength="255" value="{$new_attribute_description}" /> *max. 255 znaků, nepovinné</dd>
							</dl>
							<div class="right"><input class="zvyraznen" type="submit" name="add_attribute" value="přidat" /></div>
							</fieldset>
						</td>
					</tr>
					</table>
					<hr />
					<br />
					<div class="right">
						<input type="hidden" name="modify_form" value="modify_form" />
						<input type="submit" name="save" value="uložit změny" />
					</div>
					<br />
					</form>
		{/if}
		</div>
	</div>
	</div>

</body>
</html>
