<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Databáze publikací</title>
	<link rel="stylesheet" type="text/css" href="load.css" />
	{literal}
	<script type="text/javascript">
	//<![CDATA[
		function validate(){
			pub_type = document.getElementById('pub_type');
			pub_lang = document.getElementById('pub_lang');
			pub_title = document.getElementById('pub_title');
			city = document.getElementById('city');
			country = document.getElementById('country');
			state = document.getElementById('state');
			authors = document.getElementById('authors');
			publisher = document.getElementById('publisher');
			if(!pub_type.selectedIndex) {
				alert('Není vybrán typ publikace');
				pub_type.focus();
				return false;
			}
			if(!pub_lang.selectedIndex) {
				alert('Není vybrán jazyk');
				pub_lang.focus();
				return false;
			}
			if(!pub_title.value) {
				alert('Chybí název publikace');
				pub_title.focus();
				return false;
			}
			if(authors.selectedIndex == -1) {
				alert('Nejsou vybráni autoři');
				authors.focus();
				return false;
			}
			if ({/literal}{$strict_mode}{literal}) {
				if (!city.value) {
					alert('Chybí město');
					city.focus();
					return false;
				}
				if (!country.value) {
					alert('Není vybrána země');
					country.focus();
					return false;
				}
				if ((country.value=='US' || country.value=='CA') && !state.value) {
					alert('Není vybrán stát');
					state.focus();
					return false;
				}
			}
			return passed;
		}
	//]]>
	</script>
	{/literal}
</head>
<body>
	{include file="load_header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">

		<br />
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/>
		{/if}
		<form action="index.php" name="newPublicationForm" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
		<table border="0" width="100%" cellspacing="20" cellpadding="0" summary="Zadání nové publikace">
		<tr>
			<td>
					Typ publikace*:
			</td>
			<td>
					<select name="pub_type" id="pub_type">
					<option value="">-- Vyberte ze seznamu --</option>
					{html_options values=$type_no output=$type_names selected=$selected_pub_type}
					</select>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
					Jazyk*:
			</td>
			<td>
					<select name="pub_lang" id="pub_lang">
					<option value="">-- Vyberte ze seznamu --</option>
					{html_options values=$lang_no output=$langs selected=$selected_pub_lang}
					</select>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
					Název publikace*:
			</td>
			<td>
					<input type="text" name="pub_title" id="pub_title" size="35" value="{$pub_title|escape:"html"}" />
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
					Město{if $strict_mode}*{/if}:
			</td>
			<td>

					<input type="text" name="city" id="city" size="35" value="{$city|escape:"html"}" />
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
					Země{if $strict_mode}*{/if}:
			</td>
			<td>
					<select name="country" id="country">
					<option value="">-- Vyberte ze seznamu --</option>
					<option value="CZ">Czech Republic</option>
					<option value="US">United States</option>
					<option value="DE">Germany</option>
					<option value="FR">France</option>
					<option value="GB">United Kingdom</option>
					<option value="">--------------</option>
					{html_options options=$country selected=$selected_country}
					</select>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
					Stát (pouze USA a Kanada):
			</td>
			<td>
					<select name="state" id="state">
					<option value="">N/A</option>
					{html_options options=$state selected=$selected_state}
					</select>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
					Autoři*:
			</td>
			<td>
					<select name="authors[]" id="authors" size="10" multiple="multiple" title="lze vybrat více kandidátů">
					{html_options options=$authors selected=$selected_authors}
					</select><br />
	                * lze vybrat více kandidátů
			</td>
			<td>
					<div class="add">
					<fieldset>
					<legend>přidání nového autora</legend>
					<dl class="liketable">

						<dt><label for="author_name">jméno:</label></dt>
						<dd><input type="text" name="author_name" id="author_name" size="10" value="" /></dd>

						<dt><label for="author_middle_name">prostřední:</label></dt>
						<dd><input type="text" name="author_middle_name" id="author_middle_name" size="10" value="" /></dd>

						<dt><label for="new_author_surname">příjmení:</label></dt>
						<dd><input type="text" name="new_author_surname" id="new_author_surname" size="10" value="" /></dd>

					</dl>
					<input type="submit" name="add_author" value="&lt;&lt; přidat autora" /><br />
					<input type="submit" name="delete_author" value="&gt;&gt; odebrat autory" />
					</fieldset>
					</div>
			</td>
		</tr>
		<tr>
			<td>
					Kategorie:
			</td>
			<td>
					<fieldset>
					<legend>kategorie</legend>
					{html_checkboxes name="propagated_categories" options=$categories
					selected=$selected_categories separator="<br />"}
					<br />
					{if $added_categories}
						přidáváte kategorie:
						<ul>
						{foreach from=$added_categories item=current}
							<li>{$current}</li>
						{/foreach}
						</ul>
					{/if}
					</fieldset>
			</td>
			<td>
					<div class="add">
					<fieldset>
					<legend>přidání nové kategorie</legend>
						<label>název: <input type="text" name="category_name" value="" /></label>
						<br />
						<input type="submit" name="add_category" value="&lt;&lt; přidat kategorii" /><br />
						<input type="submit" name="delete_added_categories" value="vymazat přidané kategorie" />
					</fieldset>
					</div>
			</td>
		</tr>
		<tr>
			<td>
					&nbsp;
			</td>
			<td>&nbsp;</td>
			<td class="right">
			        <input type="hidden" name="next_stage" value="2" />
					<input type="submit" name="next" onclick="return validate();" value="další &gt;&gt;" />
			</td>
		</tr>
		</table>
		</form>
	</div>
	</div>
</body></html>