<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - administration</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	{if $modify}
		<script src="modify_publication.js" type="text/javascript"></script>
	{/if}
</head>
<body {if $modify}onload="init();"{/if}>

	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a {if $tab eq "1"}class="active"{/if} href="index.php">Waiting for check</a></li>
			<li><a {if $tab eq "2"}class="active"{/if} href="index.php?tab=2">Checked</a></li>
			<li><a href="index.php?tab=3">Attributes</a></li>
			<li><a href="index.php?tab=4">Categories</a></li>
			<li><a href="index.php?tab=5">Authors</a></li>
			<li><a href="index.php?tab=6">Publishers</a></li>
			<li><a href="index.php?tab=7">Journals</a></li>
			<li><a href="index.php?tab=8">Conferences</a></li>
			<li><a href="index.php?tab=9">Templates</a></li>
			<li><a href="index.php?tab=10">Users</a></li>
		</ul>

		<div id="content">

		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $publications}
					{$publications}
						<br />
						{if $tab==1}
							<hr />
							<form method="post" action="index.php?tab={$tab}">
							<div class="right"><input name="confirm_all_publications" type="submit" value="mark all as checked" /></div>
						</form>
					{/if}
 		{elseif $short_look}
					<a href="index.php?tab={$tab}">&lt;&lt;</a><br /><br />
					Last modified by {$user_name}<br /><br />

					<strong>Type of publication:</strong> {$pub_type}<br />
					<strong>Title:</strong> {$title}<br />
					{if $booktitle}<strong>Booktitle:</strong> {$booktitle}<br />{/if}
					{if $author}<strong>Authors:</strong> {$author}<br />{/if}
					{if $volume}<strong>Volume:</strong> {$volume}<br />{/if}
					{if $number}<strong>Number:</strong> {$number}<br />{/if}
					{if $chapter}<strong>Chapter:</strong> {$chapter}<br />{/if}
					{if $pages}<strong>Pages:</strong> {$pages}<br />{/if}
					{if $series}<strong>Series:</strong> {$series}<br />{/if}
					{if $edition}<strong>Edition:</strong> {$edition}<br />{/if}
					{if $howpublished}<strong>Howpublished:</strong> {$howpublished}<br />{/if}
					{if $type}<strong>Type of report:</strong> {$type}<br />{/if}
					{if $institution}<strong>Edition:</strong> {$institution}<br />{/if}
					{if $school}<strong>School:</strong> {$school}<br />{/if}
					{if $organization}<strong>Organization:</strong> {$organization}<br />{/if}

					{if $journal}<strong>Journal:</strong> {$journal}<br />{/if}

					{if $conference}<strong>Conference:</strong> {$conference}<br />{/if}
					{if $year}<strong>Year: </strong>{$year}<br />{/if}
					{if $month}<strong>Month: </strong>{$month}<br />{/if}
					{if $location}<strong>Location of conference:</strong> {$location}<br />{/if}

					{if $publisher}<strong>Publisher:</strong> {$publisher}<br />{/if}
					{if $address}<strong>Address of publisher:</strong> {$address}<br />{/if}

					{if $isbn}<strong>ISBN:</strong> {$isbn}<br />{/if}
					{if $issn}<strong>ISSN:</strong> {$issn}<br />{/if}
					{if $note}<strong>Note:</strong> {$note}<br />{/if}
					{if $url}<strong>URL:</strong> {$url}<br />{/if}

					{if $categories}<strong>Categories:</strong> {$categories}<br />{/if}

					<form method="post" action="index.php?tab={$tab}&amp;pid={$pid}" enctype="multipart/form-data">
					{if $attached_files}
						<strong>Files:</strong><br />
						{$attached_files}
						<br />
						<input type="submit" name="delete_files" value="delete files" />
					{/if}
					<br />
					<br />
					<input type="file" name="file" /><input type="submit" name="add_file" value="add file" />
					<br />
					</form>
					<hr class="cleaner" />
					<form method="post" action="index.php?tab={$tab}&amp;pid={$pid}">
					{if $attributes}
						<br />
						<strong>Advanced atributes:</strong>

						<table cellspacing="0" cellpadding="5" border="1" summary="advanced attributes">
						<thead>
							<tr>
								<th scope="col" abbr="visibility">public</th>
								<th scope="col" abbr="name">name</th>
								<th scope="col" abbr="note">note</th>
								<th scope="col" abbr="value">value of attribute</th>
							</tr>
						</thead>
						<tbody>
						{$attributes}
						</tbody>
						</table>
					{else}
						<br />
						no advanced attributes
					{/if}
					<hr />
					<div class="confirm_buttons">
						<input type="submit" name="modify" value="modify" />
						{if $tab==1} <input type="submit" name="confirm" value="mark as checked" />
						{elseif $tab==2} <input type="submit" name="unconfirm" value="mark as unchecked" />
						{/if}
						<input type="submit" name="deny" value="delete" />
					</div>
					</form>
		{elseif $modify}
					<a href="index.php?tab={$tab}&amp;pid={$pid}">&lt;&lt;</a><br /><br />
					<form action="index.php?tab={$tab}&amp;pid={$pid}" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
					{include file='modify_publication.tpl'}
					</form>
		{/if}
		</div>
	</div>
	</div>

</body>
</html>
